package emq

type ScanDevice struct {
	//Chip       string `json:"chip"`       //芯片 0和1
	State   string `json:"state"`   //状态
	Cmd     string `json:"cmd"`     //指令
	L       string `json:"l"`       //网关mac
	M       string `json:"m"`       //终端BLE设备MAC地址
	Ai      int    `json:"ai"`      //终端BLE设备的地址ID
	At      int    `json:"at"`      //终端BLE设备的地址类型
	Rssi    int    `json:"rssi"`    //信号强度
	Channel int    `json:"channel"` //信道
	Pkg     int    `json:"pkg"`     //0表示广播包，1表示扫描回应包
	A       string `json:"a"`
	U       string `json:"u"`
	F       string `json:"f"`
	N       string `json:"n"`
}
type Payload struct {
	State      string `json:"state"`   //状态
	Cmd        string `json:"cmd"`     //指令
	L          string `json:"l"`       //网关MAC
	S          string `json:"s"`       //扫描|停止扫描
	A          string `json:"a"`       //设置服务UUID
	M          string `json:"m"`       //被链接设备的MAC
	U          string `json:"u"`       //被链接设备的特征值UUID
	D          string `json:"d"`       //数据
	Ai         int    `json:"ai"`      //终端BLE设备的地址ID
	At         int    `json:"at"`      //终端BLE设备的地址类型
	Rssi       int    `json:"rssi"`    //信号强度
	Channel    int    `json:"channel"` //信道
	Pkg        int    `json:"pkg"`     //0表示广播包，1表示扫描回应包
	F          string `json:"f"`
	N          string `json:"n"`
	T          string `json:"t"` //0脑电1心电
	ReasonCode string `json:"reason_code"`
}

type ReceiveData struct {
	L   string `json:"l"` //网关MAC
	M   string `json:"m"` //被链接设备的MAC
	U   string `json:"u"` //被链接设备的特征值UUID
	Cmd string `json:"cmd"`
	D   string `json:"d"` //数据
}
